## org.apache.lucene.analysis.charfilter
Class HTMLStripCharFilterFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.CharFilterFactory
              org.apache.lucene.analysis.charfilter.HTMLStripCharFilterFactory

    public class HTMLStripCharFilterFactory

extends CharFilterFactory

Factory for `HTMLStripCharFilter`.

     <fieldType name="text_html" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <charFilter class="solr.HTMLStripCharFilterFactory" escapedTags="a, title" />
         <tokenizer class="solr.WhitespaceTokenizerFactory"/>
       </analyzer>
     </fieldType>

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`args, luceneMatchVersion`

Constructor Summary
`HTMLStripCharFilterFactory()`

Method Summary
`HTMLStripCharFilter` `create(Reader input)` Wraps the given Reader with a CharFilter.
`void` `init(Map<String,String> args)` Initialize this factory via a set of key-value pairs.

Methods inherited from class org.apache.lucene.analysis.util.CharFilterFactory
`availableCharFilters, forName, lookupClass, reloadCharFilters`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, setLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLStripCharFilterFactory

    public HTMLStripCharFilterFactory()

Method Detail

### create

    public HTMLStripCharFilter create(Reader input)

  Description copied from class: `CharFilterFactory`
  Wraps the given Reader with a CharFilter.

  Specified by:
    `create` in class `CharFilterFactory`

### init

    public void init(Map<String,String> args)

  Description copied from class: `AbstractAnalysisFactory`
  Initialize this factory via a set of key-value pairs.

  Overrides:
    `init` in class `AbstractAnalysisFactory`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.